dslreports logo
site
 
    All Forums Hot Topics Gallery
spc

spacer




how-to block ads


Search Topic:
uniqs
2
share rss forum feed

aereolis

join:2003-06-12
Brampton, ON
reply to No_Style

Re: [Cable] TekSavvy Won't Register My SB6121

said by No_Style:

I purchased a Motorola SB6121 from NewEgg.ca and TekSavvy phone support won't register it because I told them the firmware was 1.0.5.1.

Is that normal? I know their site says it requires 1.0.6.1, but since Rogers apparently doesn't push firmware to TekSavvy customers, wouldn't leave others out as well?

What are my options here? Any help would be appreciated.

Back half a year ago rogers decided to upgrade SB6120's firmware to 1.0.2.4 and wow. Pretty much all customers modems started working intermittently. A few days later they issued an upgrade to all modems to 1.0.6.1. AFAI understand they won't push firmware updates anymore unless you have a 6120 with 1.0.2.4. The 6121 is listed as supported (with a specific firmware number) but i'm sure you'll be fine with 1.0.5.1. As they said just tell em it's 1.0.6.1 and they'll sign you up.
--
Hello


Teddy Boom
k kudos Received
Premium
join:2007-01-29
Toronto, ON
kudos:19

said by aereolis:

Back half a year ago rogers decided to upgrade SB6120's firmware to 1.0.2.4 and wow. Pretty much all customers modems started working intermittently. A few days later they issued an upgrade to all modems to 1.0.6.1. AFAI understand they won't push firmware updates anymore unless you have a 6120 with 1.0.2.4. The 6121 is listed as supported (with a specific firmware number) but i'm sure you'll be fine with 1.0.5.1. As they said just tell em it's 1.0.6.1 and they'll sign you up.

The problem firmware was 1.0.2.4? I've been looking for that information for a few months, but digging through the entire forum history didn't seem worth the effort

Anyway... Rogers definitely does not push firmware to the SB6121, they might push firmware to the SB6120 though. Certainly they did until the end of February, but I have no information since then.
»Re: Someone post latest sb6120 firmware?

You might as well just tell them it has 1.0.6.1. I can upgrade your firmware to 1.0.6.1 for $10, but to be honest it really isn't needed. Here is a discussion of the possible consequences:
»[Cable] SB6120 Modem
--
electronicsguru.ca/for_sale/Cablemodems